﻿@*<script language="javascript" type="text/javascript">
    function approveData() {
        for (var index = GVApprovalScreen.GetTopVisibleIndex();
            index < ((GVApprovalScreen.GetPageIndex() * GVApprovalScreen.cpPageSize) + GVApprovalScreen.GetVisibleRowsOnPage());
            index++) {
            if (GVApprovalScreen.IsRowSelectedOnPage(index)) {
                GridId += GVApprovalScreen.cpProductionMonth[index - (GVApprovalScreen.GetPageIndex() * GVApprovalScreen.cpPageSize)] + "_" +
                    GVApprovalScreen.cpDataSource[index - (GVApprovalScreen.GetPageIndex() * GVApprovalScreen.cpPageSize)] + "_" +
                    GVApprovalScreen.cpTiming[index - (GVApprovalScreen.GetPageIndex() * GVApprovalScreen.cpPageSize)] + ";";
                strStatus = GVApprovalScreen.cpStatus[index - (GVApprovalScreen.GetPageIndex() * GVApprovalScreen.cpPageSize)];
            }
        }

        alert(GridId);

        GVApprovalScreen.PerformCallBack();
    }
</script>*@
<table>
    <tr>
        <td>
            <div>
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnApprove";
                    settings.Text = "Approve";
                    settings.ClientSideEvents.Click = "btnApprove_Click";
                    settings.Width = 80;
                }
                ).GetHtml()
            </div>
        </td>
        <td>
            <div>
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnUnApprove";
                    settings.Text = "Un-Approve";
                    settings.ClientSideEvents.Click = "btnUnApprove_Click";
                    settings.Width = 100;
                }
                ).GetHtml()
            </div>
        </td>
        <td>
            <div>
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnReject";
                    settings.Text = "Reject";
                    settings.ClientSideEvents.Click = "btnReject_Click";
                    settings.Width = 70;
                }
                ).GetHtml()
            </div>
        </td>
    </tr>
</table>
